Skip to main content
POST
/
v3
/
orders
/
upload
Upload orders from a file
curl --request POST \
  --url https://api.myscalev.com/v3/orders/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form create_type=archive \
  --form file='@example-file' \
  --form 'tz=<string>'
{
  "failed": {
    "ID_OF_ORDER": "<string>"
  },
  "success": [
    {
      "external_id": "<string>",
      "id": 123,
      "order_id": "<string>",
      "payment_status": "unpaid",
      "status": "draft"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data

Orders CSV upload

create_type
enum<string>
required

Choose 'archive' for Archive mode, 'regular' for Regular mode

Available options:
archive,
regular
file
file
required
tz
string
required

Timezone in IANA format, e.g., 'Asia/Jakarta'

Response

Orders uploaded successfully

failed
object
success
SuccessUploadOrders · object[]